<?php
require'fun.php';
$email_admin=$conn->query('SELECT`valoare`FROM`setari`WHERE`nume`="email_admin"')->fetch_row()[0];
$titlu='Actualizeaza';
if($is_pc>1)
$head[0].='.rotunjit{border:2px solid #eee;box-shadow:0 3px 2px rgba(0,0,0,0.3);border-radius:5px;margin:0 auto}';
$head[5]='<p style="text-align:center"><img '.($is_pc>1?'class="rotunjit" ':'').'src="/'.$conn->query('SELECT`link`FROM`imagini_iconite`WHERE`pid`="3"ORDER BY RAND()LIMIT 1')->fetch_row()[0].'" alt="logo" /></p>';
require'f_sus.php';
$uinf=$conn->query('SELECT`id`,`tip`,`de`,`email`FROM`recupereaza`WHERE`pid`="'.$go.'"')->fetch_row();
if($uinf[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Aceasta sesiune nu a fost gasita în baza de date!<br />Te rugam sa re-iei procesul din nou!<br /><img src="'.$domenii_statice[1].'point.gif" alt="!" />ATENȚIE!<br />O sesiune este valabila doar un timp de <strong>24</strong> de ore, după care este ștearsă automat din baza de date!';
else
{
if($uinf[1]==1)
{
$email_vechi=$conn->query('SELECT`email`FROM`membrii`WHERE`id`="'.$uinf[2].'"')->fetch_row();
if(preg_match('/^[a-z0-9._%-]+@[a-z0-9._%-]+\.[a-z]{2,6}$/i',$email_vechi[0])&&$email_vechi[0]!=$uinf[3])
{
mail($email_vechi[0],'Schimbare adresa de e-mail pentru '.nume($uinf[2],1).'

','A fost solicitata schimbarea adresei de e-mail,
Pentru numele de utilizator '.nume($uinf[2],1).',
Pe site-ul '.$adresasite[1].'.
Pentru a reclama o frauda, apasa pe urmatorul link:

'.$adresasite[0].'/contact-admini

Daca nu îți apare ca link, copiaza-l și lipeste link-ul în browser-ul tau!



Specifica în pagina de contact acest lucru, impreuna cu codul: '.md5(date('d-m-Y')).'

Îți mulțumim, administratorii '.$adresasite[1].'
'.$text_final.'
','From: '.$email_admin);
}
echo($conn->query('UPDATE`membrii`SET`email`="'.$uinf[3].'",`confirm_email`="1"WHERE`id`="'.$uinf[2].'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai confirmat adresa de e-mail <strong>'.$uinf[3].'</strong> pentru numele de utilizator <strong>'.nume($uinf[2]).'</strong>!<br />Pentru resetarea parolei, dar și pentru alte notificari de la site-ul '.$adresasite[1].', îți va fi utilizata aceasta adresa de e-mail!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Eroare în actoalizarea adresei de e-mail!');
}
elseif($uinf[1]==2)
{
function random_string($minlength=6,$maxlength=6,$uselower=true,$useupper=false,$usenumbers=true,$usespecial=false)
{
$charset='';
if($useupper)
$charset.='ABCDEFGHIJKLMNOPQRSTUVWXYZ';
if($usenumbers)
$charset.='1234567890';
if($usespecial)
$charset.='~@#$%^*()_+-={}|][';
if(empty($charset)||$uselower)
$charset.='abcdefghijklmnopqrstuvwxyz';
$length=($minlength>$maxlength)?mt_rand($maxlength,$minlength):mt_rand($minlength,$maxlength);
$charsetlength=mb_strlen($charset)-1;
$str='';
for($i=0;$i<$length;$i++)
{
$str.=$charset[mt_rand(0,$charsetlength)];
}
return$str;
}
$parola=random_string(7,7,true,true);
if($conn->query('UPDATE`membrii`SET`parola`="'.md5($parola).'"WHERE`id`="'.$uinf[2].'"&&`email`="'.$uinf[3].'"&&`confirm_email`="1"'))
{
mail($uinf[3],'Actualizare parola pentru '.nume($uinf[2],1).'

','A fost modificata recent parola pentru numele de utilizator '.nume($uinf[2],1).',
Pe site-ul '.$adresasite[1].'.
Pentru a accesa site-ul '.$adresasite[1].', cu numele de utilizator: '.nume($uinf[2],1).',
Este necesar sa folosesti parola: '.$parola.'
Apasa pe urmatorul link, pentru autentificare automata!

'.$adresasite[0].'/logare?nume='.nume($uinf[2],1).'&parola='.$parola.'

Daca nu îți apare ca link, copiaza-l și lipeste link-ul în browser-ul tau!
Daca nu poți tine minte parola, o poți modifica după autentificare, din meniul setari!



Îți mulțumim, administratorii '.$adresasite[1].'
'.$text_final.'
','From: '.$email_admin);
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'A fost trimis un e-mail cu noua ta parola, la adresa <strong>'.$uinf[3].'</strong>!<br />Daca mesajul nu ajunge în inbox, verifica și folderele cu mesaje de tip spam!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu s-a putut actualiza parola!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Tipul sesiunii este incorect!';
$conn->query('DELETE FROM`recupereaza`WHERE`pid`="'.$go.'"');
}
echo$div[0];
require'f_jos.php';